javax.swing.event

## Interface TreeExpansionListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  BasicTreeUI.TreeExpansionHandler, JTree.AccessibleJTree

    public interface TreeExpansionListener
    extends EventListener

The listener that's notified when a tree expands or collapses a node. For further documentation and examples see How to Write a Tree Expansion Listener, a section in The Java Tutorial.

### Method Summary

Methods
`void` `treeCollapsed(TreeExpansionEvent event)` Called whenever an item in the tree has been collapsed.
`void` `treeExpanded(TreeExpansionEvent event)` Called whenever an item in the tree has been expanded.

### Method Detail

#### treeExpanded

    void treeExpanded(TreeExpansionEvent event)

Called whenever an item in the tree has been expanded.

#### treeCollapsed

    void treeCollapsed(TreeExpansionEvent event)

Called whenever an item in the tree has been collapsed.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.